<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: ConstructionCounting Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structConstructionCounting.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">ConstructionCounting Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa5974ac890ae33380e83caff7d42cff3"><td class="memItemLeft" align="right" valign="top"><a id="aa5974ac890ae33380e83caff7d42cff3"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>ConstructionCounting</b> (const <a class="el" href="structConstructionCounting.html">ConstructionCounting</a> &amp;)</td></tr>
<tr class="separator:aa5974ac890ae33380e83caff7d42cff3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cfd083c0a68329d98e34ac1e195deb1"><td class="memItemLeft" align="right" valign="top"><a id="a9cfd083c0a68329d98e34ac1e195deb1"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>ConstructionCounting</b> (<a class="el" href="structConstructionCounting.html">ConstructionCounting</a> &amp;&amp;) noexcept</td></tr>
<tr class="separator:a9cfd083c0a68329d98e34ac1e195deb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d3fc44931e0fc695a85413ad0f0d634"><td class="memItemLeft" align="right" valign="top"><a id="a7d3fc44931e0fc695a85413ad0f0d634"></a>
<a class="el" href="structConstructionCounting.html">ConstructionCounting</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="structConstructionCounting.html">ConstructionCounting</a> &amp;)</td></tr>
<tr class="separator:a7d3fc44931e0fc695a85413ad0f0d634"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af328d8761e1919a9b252be305f5134a8"><td class="memItemLeft" align="right" valign="top"><a id="af328d8761e1919a9b252be305f5134a8"></a>
<a class="el" href="structConstructionCounting.html">ConstructionCounting</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (<a class="el" href="structConstructionCounting.html">ConstructionCounting</a> &amp;&amp;) noexcept</td></tr>
<tr class="separator:af328d8761e1919a9b252be305f5134a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a24dfda5ae3575e4bd633d619572306cd"><td class="memItemLeft" align="right" valign="top"><a id="a24dfda5ae3575e4bd633d619572306cd"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>Reset</b> ()</td></tr>
<tr class="separator:a24dfda5ae3575e4bd633d619572306cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:ae83e7dcf75af42d6b484faa78b2266e5"><td class="memItemLeft" align="right" valign="top"><a id="ae83e7dcf75af42d6b484faa78b2266e5"></a>
static int&#160;</td><td class="memItemRight" valign="bottom"><b>default_ctor_calls</b> = 0</td></tr>
<tr class="separator:ae83e7dcf75af42d6b484faa78b2266e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d7d4199aa7b92cfa8791d99a7c14c67"><td class="memItemLeft" align="right" valign="top"><a id="a2d7d4199aa7b92cfa8791d99a7c14c67"></a>
static int&#160;</td><td class="memItemRight" valign="bottom"><b>dtor_calls</b> = 0</td></tr>
<tr class="separator:a2d7d4199aa7b92cfa8791d99a7c14c67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9e584412c9ab2a59bf8c3b2047734bf"><td class="memItemLeft" align="right" valign="top"><a id="ad9e584412c9ab2a59bf8c3b2047734bf"></a>
static int&#160;</td><td class="memItemRight" valign="bottom"><b>copy_ctor_calls</b> = 0</td></tr>
<tr class="separator:ad9e584412c9ab2a59bf8c3b2047734bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38fe40f307a89004b26035c3b836dc1d"><td class="memItemLeft" align="right" valign="top"><a id="a38fe40f307a89004b26035c3b836dc1d"></a>
static int&#160;</td><td class="memItemRight" valign="bottom"><b>move_ctor_calls</b> = 0</td></tr>
<tr class="separator:a38fe40f307a89004b26035c3b836dc1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3ec6b0de1b790ade4b0dc3e393a2b45"><td class="memItemLeft" align="right" valign="top"><a id="aa3ec6b0de1b790ade4b0dc3e393a2b45"></a>
static int&#160;</td><td class="memItemRight" valign="bottom"><b>copy_assignment_calls</b> = 0</td></tr>
<tr class="separator:aa3ec6b0de1b790ade4b0dc3e393a2b45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad22a6312b434d411c606452fc9e644ea"><td class="memItemLeft" align="right" valign="top"><a id="ad22a6312b434d411c606452fc9e644ea"></a>
static int&#160;</td><td class="memItemRight" valign="bottom"><b>move_assignment_calls</b> = 0</td></tr>
<tr class="separator:ad22a6312b434d411c606452fc9e644ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>gtest_unittest.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="structConstructionCounting.html">ConstructionCounting</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
